Index: testsuites/smptests/smp01/init.c
===================================================================
--- testsuites/smptests/smp01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -16,4 +16,6 @@
 
 #include <inttypes.h>
+
+const char rtems_test_name[] = "SMP 1";
 
 void Loop() {
@@ -41,8 +43,8 @@
    */ 
   Loop();
+
+  TEST_BEGIN();
+
   locked_print_initialize();
-
-  /* Put start of test message */
-  locked_printf( "\n\n***  SMP01 TEST ***\n" );
 
   /* Initialize the TaskRan array */
@@ -82,5 +84,5 @@
     }
     if (allDone) {
-      locked_printf( "*** END OF TEST SMP01 ***\n" );
+      TEST_END();
       rtems_test_exit( 0 );
     }
Index: testsuites/smptests/smp01/system.h
===================================================================
--- testsuites/smptests/smp01/system.h	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp01/system.h	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -33,4 +33,6 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES 1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smp02/init.c
===================================================================
--- testsuites/smptests/smp02/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp02/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,7 +18,9 @@
 #include <inttypes.h>
 
+const char rtems_test_name[] = "SMP 2";
+
 static void success(void)
 {
-  locked_printf( "*** END OF TEST SMP02 ***\n" );
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -35,6 +37,7 @@
   char              str[80];
 
+  TEST_BEGIN();
+
   locked_print_initialize();
-  locked_printf( "\n\n***  SMP02 TEST ***\n" );
 
   if ( rtems_smp_get_processor_count() == 1 ) {
Index: testsuites/smptests/smp02/system.h
===================================================================
--- testsuites/smptests/smp02/system.h	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp02/system.h	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -31,4 +31,6 @@
 #define CONFIGURE_MAXIMUM_TASKS            \
     (1 + CONFIGURE_SMP_MAXIMUM_PROCESSORS)
+
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
Index: testsuites/smptests/smp03/init.c
===================================================================
--- testsuites/smptests/smp03/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp03/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,7 +18,9 @@
 #include <inttypes.h>
 
+const char rtems_test_name[] = "SMP 3";
+
 static void success(void)
 {
-  locked_printf( "*** END OF TEST SMP03 ***\n" );
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -51,7 +53,8 @@
 
   Loop();
+
+  TEST_BEGIN();
+
   locked_print_initialize();
-
-  locked_printf( "\n\n***  SMP03 TEST ***\n" );
 
   if ( rtems_smp_get_processor_count() == 1 ) {
Index: testsuites/smptests/smp03/system.h
===================================================================
--- testsuites/smptests/smp03/system.h	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp03/system.h	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -33,4 +33,6 @@
 
 #define CONFIGURE_MAXIMUM_SEMAPHORES 1
+
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
Index: testsuites/smptests/smp05/init.c
===================================================================
--- testsuites/smptests/smp05/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp05/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -15,7 +15,9 @@
 #include "test_support.h"
 
+const char rtems_test_name[] = "SMP 6";
+
 static void success(void)
 {
-  locked_printf( "*** END OF TEST SMP05 ***\n" );
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -39,6 +41,7 @@
   rtems_status_code  status;
 
+  TEST_BEGIN();
+
   locked_print_initialize();
-  locked_printf( "\n\n*** TEST SMP05 ***\n" );
 
   if ( rtems_smp_get_processor_count() == 1 ) {
@@ -80,4 +83,6 @@
 #define CONFIGURE_MAXIMUM_TASKS            \
     (1 + CONFIGURE_SMP_MAXIMUM_PROCESSORS)
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smp07/init.c
===================================================================
--- testsuites/smptests/smp07/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp07/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -15,4 +15,6 @@
 #include "test_support.h"
 
+const char rtems_test_name[] = "SMP 7";
+
 volatile bool TaskRan = false;
 volatile bool TSRFired = false;
@@ -21,5 +23,5 @@
 static void success(void)
 {
-  locked_printf( "*** END OF TEST SMP07 ***\n" );
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -88,6 +90,7 @@
   rtems_id           Timer;
 
+  TEST_BEGIN();
+
   locked_print_initialize();
-  locked_printf( "\n\n*** TEST SMP07 ***\n" );
 
   if ( rtems_smp_get_processor_count() == 1 ) {
@@ -172,4 +175,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS            2
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 #define CONFIGURE_MAXIMUM_SEMAPHORES       2
Index: testsuites/smptests/smp08/init.c
===================================================================
--- testsuites/smptests/smp08/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp08/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -14,4 +14,6 @@
 #define CONFIGURE_INIT
 #include "system.h"
+
+const char rtems_test_name[] = "SMP 8";
 
 void PrintTaskInfo(
@@ -45,7 +47,8 @@
   char              ch[4];
   rtems_id          id;
+
+  TEST_BEGIN();
  
   locked_print_initialize();
-  locked_printf( "\n\n*** SMP08 TEST ***\n" );
 
   time.year   = 1988;
Index: testsuites/smptests/smp08/system.h
===================================================================
--- testsuites/smptests/smp08/system.h	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp08/system.h	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -34,4 +34,6 @@
     (1 + (CONFIGURE_SMP_MAXIMUM_PROCESSORS*3) )
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 #define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
Index: testsuites/smptests/smp08/tasks.c
===================================================================
--- testsuites/smptests/smp08/tasks.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp08/tasks.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -39,5 +39,5 @@
     status = rtems_clock_get_tod( &time );
     if ( time.second >= 35 ) {
-      locked_printf( "*** END OF SMP08 TEST ***\n" );
+      TEST_END();
       rtems_test_exit( 0 );
     }
Index: testsuites/smptests/smp09/init.c
===================================================================
--- testsuites/smptests/smp09/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smp09/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -15,4 +15,6 @@
 #include "test_support.h"
 #include <rtems/cpuuse.h>
+
+const char rtems_test_name[] = "SMP 9";
 
 volatile int killtime;
@@ -37,6 +39,7 @@
   rtems_status_code  status;
 
+  TEST_BEGIN();
+
   locked_print_initialize();
-  locked_printf( "\n\n*** TEST SMP09 ***\n" );
 
   for ( killtime=0; killtime<1000000; killtime++ )
@@ -69,5 +72,5 @@
   rtems_cpu_usage_report();
 
-  locked_printf( "*** END OF TEST SMP09 ***\n" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -83,4 +86,6 @@
 #define CONFIGURE_MAXIMUM_TASKS            \
     (1 + CONFIGURE_SMP_MAXIMUM_PROCESSORS)
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpaffinity01/init.c
===================================================================
--- testsuites/smptests/smpaffinity01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpaffinity01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -15,4 +15,6 @@
 
 #include "tmacros.h"
+
+const char rtems_test_name[] = "SMPAFFINITY 1";
 
 #if defined(__RTEMS_HAVE_SYS_CPUSET_H__)
@@ -210,5 +212,5 @@
   int                  sc;
 
-  puts( "\n\n*** SMP AFFINITY 1 ***" );
+  TEST_BEGIN();
 
   /* Initialize thread id */
@@ -220,5 +222,5 @@
   Validate_affinity();
 
-  puts( "*** END OF SMP AFFINITY TEST 1 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -227,7 +229,7 @@
 static void Init(rtems_task_argument arg)
 {
-  puts( "\n\n*** SMP AFFINITY TEST 1 ***" );
+  TEST_BEGIN();
   puts( " Affinity NOT Supported");
-  puts( "*** END OF SMP AFFINITY TEST 1 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -243,4 +245,6 @@
 #define CONFIGURE_MAXIMUM_TASKS         (NUM_CPUS*2)
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpatomic01/init.c
===================================================================
--- testsuites/smptests/smpatomic01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpatomic01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -26,4 +26,6 @@
 
 #include "tmacros.h"
+
+const char rtems_test_name[] = "SMPATOMIC 1";
 
 #define MASTER_PRIORITY 1
@@ -622,5 +624,5 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPATOMIC 1 ***");
+  TEST_BEGIN();
 
   simple_tests();
@@ -628,6 +630,5 @@
   test();
 
-  puts("*** END OF TEST SMPATOMIC 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -648,4 +649,6 @@
 #define CONFIGURE_INIT_TASK_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpfatal01/init.c
===================================================================
--- testsuites/smptests/smpfatal01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpfatal01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,4 +18,5 @@
 
 #include <rtems.h>
+#include <rtems/test.h>
 #include <rtems/score/percpu.h>
 #include <rtems/score/smpimpl.h>
@@ -23,4 +24,6 @@
 #include <assert.h>
 #include <stdlib.h>
+
+const char rtems_test_name[] = "SMPFATAL 1";
 
 #define MAX_CPUS 32
@@ -31,9 +34,4 @@
 {
   assert(0);
-}
-
-static void end_of_test(void)
-{
-  printk( "*** END OF TEST SMPFATAL 1 ***\n" );
 }
 
@@ -60,5 +58,5 @@
       }
 
-      end_of_test();
+      rtems_test_endk();
     }
   }
@@ -75,5 +73,5 @@
   uint32_t cpu;
 
-  printk("\n\n*** TEST SMPFATAL 1 ***\n");
+  rtems_test_begink();
 
   assert(rtems_configuration_get_maximum_processors() == MAX_CPUS);
@@ -103,5 +101,5 @@
     per_cpu->state = PER_CPU_STATE_SHUTDOWN;
   } else {
-    end_of_test();
+    rtems_test_endk();
     exit(0);
   }
@@ -116,5 +114,7 @@
   { .initialization_entry = test_driver_init }
 
-#define CONFIGURE_INITIAL_EXTENSIONS { .fatal = fatal_extension }
+#define CONFIGURE_INITIAL_EXTENSIONS \
+  { .fatal = fatal_extension }, \
+  RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_SMP_APPLICATION
Index: testsuites/smptests/smpfatal02/init.c
===================================================================
--- testsuites/smptests/smpfatal02/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpfatal02/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,4 +18,5 @@
 
 #include <rtems.h>
+#include <rtems/test.h>
 #include <rtems/score/percpu.h>
 #include <rtems/score/smpimpl.h>
@@ -23,4 +24,6 @@
 #include <assert.h>
 #include <stdlib.h>
+
+const char rtems_test_name[] = "SMPFATAL 2";
 
 #define MAX_CPUS 32
@@ -31,9 +34,4 @@
 {
   assert(0);
-}
-
-static void end_of_test(void)
-{
-  printk( "*** END OF TEST SMPFATAL 2 ***\n" );
 }
 
@@ -65,5 +63,5 @@
       }
 
-      end_of_test();
+      rtems_test_endk();
     } else {
       assert(source == RTEMS_FATAL_SOURCE_SMP);
@@ -83,5 +81,5 @@
   uint32_t cpu;
 
-  printk("\n\n*** TEST SMPFATAL 2 ***\n");
+  rtems_test_begink();
 
   assert(rtems_configuration_get_maximum_processors() == MAX_CPUS);
@@ -108,5 +106,5 @@
     rtems_fatal(RTEMS_FATAL_SOURCE_APPLICATION, 0xdeadbeef);
   } else {
-    end_of_test();
+    rtems_test_endk();
     exit(0);
   }
@@ -121,5 +119,7 @@
   { .initialization_entry = test_driver_init }
 
-#define CONFIGURE_INITIAL_EXTENSIONS { .fatal = fatal_extension }
+#define CONFIGURE_INITIAL_EXTENSIONS \
+  { .fatal = fatal_extension }, \
+  RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_SMP_APPLICATION
Index: testsuites/smptests/smpfatal03/init.c
===================================================================
--- testsuites/smptests/smpfatal03/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpfatal03/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -19,4 +19,5 @@
 #include <rtems.h>
 #include <rtems/counter.h>
+#include <rtems/test.h>
 #include <rtems/score/smpbarrier.h>
 #include <rtems/score/smpimpl.h>
@@ -26,4 +27,6 @@
 #include <stdlib.h>
 
+const char rtems_test_name[] = "SMPFATAL 3";
+
 #define CPU_COUNT 2
 
@@ -31,9 +34,4 @@
 
 static SMP_barrier_Control barrier = SMP_BARRIER_CONTROL_INITIALIZER;
-
-static void end_of_test(void)
-{
-  printk( "*** END OF TEST SMPFATAL 3 ***\n" );
-}
 
 static void acquire_giant_and_fatal_task(rtems_task_argument arg)
@@ -71,5 +69,5 @@
   uint32_t cpu_count = rtems_smp_get_processor_count();
 
-  printk("\n\n*** TEST SMPFATAL 3 ***\n");
+  rtems_test_begink();
 
   main_cpu = self;
@@ -94,5 +92,5 @@
     wait_for_giant();
   } else {
-    end_of_test();
+    rtems_test_endk();
     exit(0);
   }
@@ -117,5 +115,5 @@
       assert(code == SMP_FATAL_SHUTDOWN);
 
-      end_of_test();
+      rtems_test_endk();
     } else {
       assert(source == RTEMS_FATAL_SOURCE_APPLICATION);
@@ -128,5 +126,7 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_INITIAL_EXTENSIONS { .fatal = fatal_extension }
+#define CONFIGURE_INITIAL_EXTENSIONS \
+  { .fatal = fatal_extension }, \
+  RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_SMP_APPLICATION
Index: testsuites/smptests/smpload01/init.c
===================================================================
--- testsuites/smptests/smpload01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpload01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -21,4 +21,6 @@
 #include <rtems.h>
 #include <rtems/profiling.h>
+
+const char rtems_test_name[] = "SMPLOAD 1";
 
 #define CPU_COUNT 32
@@ -113,10 +115,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPLOAD 1 ***");
+  TEST_BEGIN();
 
   test();
 
-  puts("*** END OF TEST SMPLOAD 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
Index: testsuites/smptests/smplock01/init.c
===================================================================
--- testsuites/smptests/smplock01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smplock01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -24,4 +24,6 @@
 #include "tmacros.h"
 
+const char rtems_test_name[] = "SMPLOCK 1";
+
 #define TASK_PRIORITY 1
 
@@ -332,10 +334,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPLOCK 1 ***");
+  TEST_BEGIN();
 
   test();
 
-  puts("*** END OF TEST SMPLOCK 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -358,4 +359,6 @@
 #define CONFIGURE_INIT_TASK_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpmigration01/init.c
===================================================================
--- testsuites/smptests/smpmigration01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpmigration01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -24,4 +24,6 @@
 #include <inttypes.h>
 
+const char rtems_test_name[] = "SMPMIGRATION 1";
+
 #define CPU_COUNT 2
 
@@ -221,5 +223,5 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPMIGRATION 1 ***");
+  TEST_BEGIN();
 
   if (rtems_smp_get_processor_count() >= 2) {
@@ -227,6 +229,5 @@
   }
 
-  puts("*** END OF TEST SMPMIGRATION 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -243,4 +244,6 @@
 #define CONFIGURE_INIT_TASK_ATTRIBUTES RTEMS_FLOATING_POINT
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smppsxaffinity01/init.c
===================================================================
--- testsuites/smptests/smppsxaffinity01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smppsxaffinity01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,4 +18,6 @@
 #include <pthread.h>
 #include <sched.h>
+
+const char rtems_test_name[] = "SMPPSXAFFINITY 1";
 
 #if HAVE_DECL_PTHREAD_GETAFFINITY_NP
@@ -130,5 +132,5 @@
 )
 {
-  puts( "\n\n*** SMP POSIX AFFINITY ATTRIBUTE TEST 1 ***" );
+  TEST_BEGIN();
 
   /* Initialize thread id */
@@ -139,5 +141,5 @@
   Validate_attr();
 
-  puts( "*** END OF SMP POSIX AFFINITY ATTRIBUTE TEST 1 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -148,7 +150,7 @@
 )
 {
-  puts( "\n\n*** SMP POSIX AFFINITY ATTRIBUTE TEST 1 ***" );
+  TEST_BEGIN();
   puts( " POSIX Affinity Methods NOT Supported");
-  puts( "*** END OF SMP POSIX AFFINITY ATTRIBUTE TEST 1 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -167,4 +169,6 @@
 #define CONFIGURE_MAXIMUM_POSIX_THREADS  1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_POSIX_INIT_THREAD_TABLE
 
Index: testsuites/smptests/smppsxaffinity02/init.c
===================================================================
--- testsuites/smptests/smppsxaffinity02/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smppsxaffinity02/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -21,4 +21,6 @@
 #include <sched.h>
 
+const char rtems_test_name[] = "SMPPSXAFFINITY 2";
+
 #if HAVE_DECL_PTHREAD_GETAFFINITY_NP
 
@@ -197,5 +199,5 @@
 )
 {
-  puts( "\n\n*** SMP POSIX AFFINITY ATTRIBUTE TEST 2 ***" );
+  TEST_BEGIN();
 
   /* Initialize thread id */
@@ -206,5 +208,5 @@
   Validate_affinity();
 
-  puts( "*** END OF SMP POSIX AFFINITY ATTRIBUTE TEST 2 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -215,7 +217,7 @@
 )
 {
-  puts( "\n\n*** SMP POSIX AFFINITY ATTRIBUTE TEST 2 ***" );
+  TEST_BEGIN();
   puts( " Affinity NOT Supported");
-  puts( "*** END OF SMP POSIX AFFINITY ATTRIBUTE TEST 2 ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
Index: testsuites/smptests/smppsxsignal01/init.c
===================================================================
--- testsuites/smptests/smppsxsignal01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smppsxsignal01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -21,4 +21,6 @@
 #include <pthread.h>
 #include <signal.h>
+
+const char rtems_test_name[] = "SMPPSXSIGNAL 1";
 
 #define TEST_SIGNAL SIGUSR1
@@ -162,5 +164,5 @@
 static void *POSIX_Init(void *arg)
 {
-  puts("\n\n*** TEST SMPPSXSIGNAL 1 ***");
+  TEST_BEGIN();
 
   if (rtems_smp_get_processor_count() >= 2) {
@@ -168,6 +170,5 @@
   }
 
-  puts("*** END OF TEST SMPPSXSIGNAL 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -180,4 +181,6 @@
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_MAXIMUM_POSIX_THREADS 2
 
Index: testsuites/smptests/smpschedule01/init.c
===================================================================
--- testsuites/smptests/smpschedule01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpschedule01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -21,4 +21,6 @@
 #include "tmacros.h"
 
+const char rtems_test_name[] = "SMPSCHEDULE 1";
+
 #define CPU_COUNT 2
 
@@ -181,10 +183,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPSCHEDULE 1 ***");
+  TEST_BEGIN();
 
   test();
 
-  puts("*** END OF TEST SMPSCHEDULE 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -203,4 +204,6 @@
 #define CONFIGURE_INIT_TASK_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpsignal01/init.c
===================================================================
--- testsuites/smptests/smpsignal01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpsignal01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,4 +18,6 @@
 
 #include "tmacros.h"
+
+const char rtems_test_name[] = "SMPSIGNAL 1";
 
 #define TEST_SIGNAL RTEMS_SIGNAL_0
@@ -163,5 +165,5 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPSIGNAL 1 ***");
+  TEST_BEGIN();
 
   if (rtems_smp_get_processor_count() >= 2) {
@@ -169,6 +171,5 @@
   }
 
-  puts("*** END OF TEST SMPSIGNAL 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -183,4 +184,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 2
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpswitchextension01/init.c
===================================================================
--- testsuites/smptests/smpswitchextension01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpswitchextension01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -22,4 +22,6 @@
 #include <inttypes.h>
 
+const char rtems_test_name[] = "SMPSWITCHEXTENSION 1";
+
 #define CPU_COUNT 2
 
@@ -222,5 +224,5 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPSWITCHEXTENSION 1 ***");
+  TEST_BEGIN();
 
   if (rtems_smp_get_processor_count() >= 2) {
@@ -228,6 +230,5 @@
   }
 
-  puts("*** END OF TEST SMPSWITCHEXTENSION 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -244,4 +245,6 @@
 #define CONFIGURE_MAXIMUM_USER_EXTENSIONS EXTENSION_COUNT
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/smptests/smpunsupported01/init.c
===================================================================
--- testsuites/smptests/smpunsupported01/init.c	(revision 9391f6d6637c752046cdfd89ae2eeea147496e44)
+++ testsuites/smptests/smpunsupported01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
@@ -18,4 +18,6 @@
 
 #include "tmacros.h"
+
+const char rtems_test_name[] = "SMPUNSUPPORTED 1";
 
 static void some_task(rtems_task_argument arg)
@@ -78,10 +80,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST SMPUNSUPPORTED 1 ***");
+  TEST_BEGIN();
 
   test();
 
-  puts("*** END OF TEST SMPUNSUPPORTED 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -96,4 +97,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 2
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
